be.fgov.ehealth.daas.complextype.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.daas.complextype.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.daas.complextype.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.daas.complextype.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Actor` | `createActor()` Create an instance of `Actor`
    `BaseNameType` | `createBaseNameType()` Create an instance of `BaseNameType`
    `Context` | `createContext()` Create an instance of `Context`
    `Destination` | `createDestination()` Create an instance of `Destination`
    `Destinations` | `createDestinations()` Create an instance of `Destinations`
    `JAXBElement<Object>` | `createId(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `Name` | `createName()` Create an instance of `Name`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `JAXBElement<Object>` | `createQuality(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `RoutingInformation` | `createRoutingInformation()` Create an instance of `RoutingInformation`
    `JAXBElement<Object>` | `createType(Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `TypeCodeType` | `createTypeCodeType()` Create an instance of `TypeCodeType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.daas.complextype.v1

  - ### Method Detail

    - #### createName

          public Name createName()

      Create an instance of `Name`

    - #### createBaseNameType

          public BaseNameType createBaseNameType()

      Create an instance of `BaseNameType`

    - #### createActor

          public Actor createActor()

      Create an instance of `Actor`

    - #### createTypeCodeType

          public TypeCodeType createTypeCodeType()

      Create an instance of `TypeCodeType`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createDestination

          public Destination createDestination()

      Create an instance of `Destination`

    - #### createContext

          public Context createContext()

      Create an instance of `Context`

    - #### createRoutingInformation

          public RoutingInformation createRoutingInformation()

      Create an instance of `RoutingInformation`

    - #### createDestinations

          public Destinations createDestinations()

      Create an instance of `Destinations`

    - #### createId

          public JAXBElement<Object> createId(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createType

          public JAXBElement<Object> createType(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createQuality

          public JAXBElement<Object> createQuality(Object value)

      Create an instance of `JAXBElement``<``Object``>`}

Connector Packaging TECHNICAL 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.